#
# spec file for package yafray
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yafray
BuildRequires:  OpenEXR-devel
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  scons
BuildRequires:  zlib-devel
Version:        0.0.9
Release:        115.2
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-gcc4-64bit.patch
Patch1:         %{name}-%{version}-gcc-warning.patch
Patch2:         %{name}-%{version}-includes.patch
Patch3:         %{name}-%{version}-scons.patch
Patch32:        %{name}-%{version}-linux-settings.patch
Patch64:        %{name}-%{version}-linux-settings64.patch
Patch65:        yafray-0.0.9-const-char.patch
Patch66:        yafray-0.0.9-linux3.patch
Patch67:        yafray-gcc47.patch
Url:            http://www.yafray.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        YafRay: Yet Another Free RAYtracer
License:        LGPL-2.1+
Group:          Productivity/Graphics/Visualization/Raytracers

%description
A raytracer that cooperates well with the Blender package.

%prep
%setup -q -n %{name}
chmod -x AUTHORS ChangeLog LICENSE README
%patch0
%patch1
%patch2
%patch3
if [ "%_lib" = "lib64" ]; then
%patch64
else
%patch32
fi
%patch65
%patch66
%patch67 -p1

%build
scons prefix=%{_prefix} %{?jobs:--jobs=%jobs}

%install
scons destdir=$RPM_BUILD_ROOT prefix=%{_prefix} install
# find $RPM_BUILD_ROOT -name .sconsign -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog LICENSE README
%config %{_sysconfdir}/*
%{_bindir}/*
%{_libdir}/*.so
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so

%changelog
* Sat Mar 24 2012 dimstar@opensuse.org
- Add yafray-gcc47.patch: Fix build with gcc 4.7.
* Mon Aug 15 2011 ro@suse.de
- fix build for platform == linux3
* Sat Dec 19 2009 jengelh@medozas.de
- enable parallel building
* Wed Jun 10 2009 ro@suse.de
- strchr now returns a const char*
* Tue Apr 29 2008 coolo@suse.de
- fix build
* Tue Nov 20 2007 prusnak@suse.cz
- split linux-settings.patch into 2 patches (for 32 and 64 bit archs)
* Mon Nov 12 2007 prusnak@suse.cz
- added 2 more missing includes to includes.patch
* Fri Nov  9 2007 prusnak@suse.cz
- fixed linux-settings.patch
* Wed Nov  7 2007 prusnak@suse.cz
- updated to 0.0.9
  * New SAH-kdtree for mesh objects, which is hopefully mature now.
    Improvements include:
    o Smaller memory footprint
    o More robust traversal, so holes in meshes should be history
    o Faster ray-scene-intersection (depending on scene) due
    to new building algorithm (surface area heuristic and triangle
    clipping, preparing scene can take a bit longer though)
  * Image loading code is more careful when trying to load files
    with unknown extension (crash-fixes)
  * Added -p command line option for Linux to specify an alternative
    plugin path when rendering XML (yafray executable), YafRay also
    prints used plugin path and number of plugins loaded to console now.
  * Changing number of threads with blender plugin now takes effect
    without restarting blender (blender 2.42 and later only)
  * Fixed some minor bugs, code cleanups/updates for newer compilers
    and build-environments
- cleaned spec file
* Wed Nov  7 2007 mvyskocil@suse.cz
- build under gcc 4.3
* Mon Sep 24 2007 ro@suse.de
- use patch instead of here-document in specfile
* Thu Mar 29 2007 ro@suse.de
- added zlib-devel to buildreq
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 19 2005 pnemec@suse.cz
- fixed wrong return value in tiangletools.cc
* Tue Jul 26 2005 sbrabec@suse.cz
- Updated to version 0.0.8.
* Mon May 16 2005 pmladek@suse.cz
- fixed to build with gcc4 on 64-bit architectures
* Thu Aug 26 2004 kukuk@suse.de
- Fix building on lib64 archs
* Wed Aug 25 2004 sbrabec@suse.cz
- New SuSE package, version 0.0.7.
